RadioReference on Facebook   RadioReference on Twitter   RadioReference Blog
 

Go Back   The RadioReference.com Forums > Commercial, Professional Radio and Personal Radio > ICOM Land Mobile Radio


ICOM Land Mobile Radio - Discussion forum for ICOM land mobile radio equipment such as the IC-F series radios. Please do not post amateur radio topics here.

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
  #1 (permalink)  
Old 04-02-2018, 1:08 PM
Forts's Avatar
Mentor
  RadioReference Database Admininstrator
Database Admin
Audio Feed Provider
Audio Feed Provider
 
Join Date: Dec 2002
Location: Strathroy, Ontario Canada
Posts: 5,502
Default Icom F50V Questions...

Hi folks,

I just picked up an F50V from the big auction site to use with my local FD. I'm waiting to hear from the seller what FW is in the radio. From what I understand 3.6.2 and the MM 3.1.1 software are most desired? My department has 3 stations, 2 use A-B and one uses single long tone which I'm wanting to program into the radio. Is it possible to upgrade the FW myself or must it be sent out if needed?

Thanks!
__________________
Middlesex County/Strathroy-Caradoc Fire Paging Alerts: http://groups.google.com/group/middlesex-fire
Reply With Quote
Sponsored links
  #2 (permalink)  
Old 04-02-2018, 5:04 PM
Member
   
Join Date: Mar 2010
Posts: 869
Default

Yes, the "MM" version is the most desired. They "copied" the Minitor alert tones and vibration settings pretty much exactly. You wouldn't be able to tell the difference.

Firmware can be upgraded with just a cloning cable if you can get a copy of the flash loader software. It's a dealer only item but since the radio is discontinued it's possible a dealer or even ICOM could provide a copy. Wouldn't hurt to ask!

Otherwise, sending it to ICOM directly or a dealer is a option.
Reply With Quote
  #3 (permalink)  
Old 04-03-2018, 10:09 AM
Forts's Avatar
Mentor
  RadioReference Database Admininstrator
Database Admin
Audio Feed Provider
Audio Feed Provider
 
Join Date: Dec 2002
Location: Strathroy, Ontario Canada
Posts: 5,502
Default

So from further reading it appears 3.6.2 forces narrowband on all channels, which is ridiculous. I'm thinking I may need to use 3.6 then as I believe it was the last version to support WB, unless Icom has a workaround for us Canadians. I'd really like to use the Minitor like features of 3.6.2 but all our fire channels are still WB with the exception of one.
__________________
Middlesex County/Strathroy-Caradoc Fire Paging Alerts: http://groups.google.com/group/middlesex-fire
Reply With Quote
  #4 (permalink)  
Old 04-03-2018, 9:12 PM
Member
   
Join Date: Mar 2010
Posts: 869
Default

Correct, you'll want version 3.6.1 MM firmware. 3.6.2 locked down the radio to narrowband to conform with FCC regs here in the states.
Reply With Quote
  #5 (permalink)  
Old 04-04-2018, 6:56 AM
Forts's Avatar
Mentor
  RadioReference Database Admininstrator
Database Admin
Audio Feed Provider
Audio Feed Provider
 
Join Date: Dec 2002
Location: Strathroy, Ontario Canada
Posts: 5,502
Default

Great, thanks for the info. I've got FW 3.6 and 3.6.2... I'll go on the hunt for 3.6.1.

Appreciate the info!
__________________
Middlesex County/Strathroy-Caradoc Fire Paging Alerts: http://groups.google.com/group/middlesex-fire
Reply With Quote
Sponsored links
  #6 (permalink)  
Old 04-06-2018, 9:52 AM
Forts's Avatar
Mentor
  RadioReference Database Admininstrator
Database Admin
Audio Feed Provider
Audio Feed Provider
 
Join Date: Dec 2002
Location: Strathroy, Ontario Canada
Posts: 5,502
Default

Can anyone confirm that there is a 3.6.1 MM firmware version? The Icom dealer portal only shows 3.6 and 3.6.2. (Perhaps you meant 3.6 when you mentioned 3.6.1?)

Thanks! (And apologies for all the questions.. this is my 1st go-round with an Icom radio).
__________________
Middlesex County/Strathroy-Caradoc Fire Paging Alerts: http://groups.google.com/group/middlesex-fire
Reply With Quote
  #7 (permalink)  
Old 04-06-2018, 5:05 PM
Member
   
Join Date: Mar 2010
Posts: 869
Default

You're right. The only firmware showing is 3.6 (for non MM versions) and 3.6.2 for MM firmware which is locked to narrow. It seems Icom has recently updated this and got rid of all the firmware except the current version and current software version. They used to have all versions of firmware available.

I can however confirm for you, there is (or was) a version 3.6.1 MM wideband/narrowband that you need. I have this exact firmware version in my units and somewhere I may have the flash loader software. I'll see if I can find out more info on Monday as the purging of firmware in the portal affects all models.

In the mean time I'll dig to see if I can find it... it's on a thumb drive somewhere in my mess..
Reply With Quote
  #8 (permalink)  
Old 04-06-2018, 5:22 PM
Forts's Avatar
Mentor
  RadioReference Database Admininstrator
Database Admin
Audio Feed Provider
Audio Feed Provider
 
Join Date: Dec 2002
Location: Strathroy, Ontario Canada
Posts: 5,502
Default

Quote:
Originally Posted by 12dbsinad View Post
You're right. The only firmware showing is 3.6 (for non MM versions) and 3.6.2 for MM firmware which is locked to narrow. It seems Icom has recently updated this and got rid of all the firmware except the current version and current software version. They used to have all versions of firmware available.

I can however confirm for you, there is (or was) a version 3.6.1 MM wideband/narrowband that you need. I have this exact firmware version in my units and somewhere I may have the flash loader software. I'll see if I can find out more info on Monday as the purging of firmware in the portal affects all models.

In the mean time I'll dig to see if I can find it... it's on a thumb drive somewhere in my mess..
Thank you sir! Much appreciated...
__________________
Middlesex County/Strathroy-Caradoc Fire Paging Alerts: http://groups.google.com/group/middlesex-fire
Reply With Quote
  #9 (permalink)  
Old 04-18-2018, 7:02 PM
Forts's Avatar
Mentor
  RadioReference Database Admininstrator
Database Admin
Audio Feed Provider
Audio Feed Provider
 
Join Date: Dec 2002
Location: Strathroy, Ontario Canada
Posts: 5,502
Default

So I finally got my radio and programming cable and some free time to tinker. Nice little radios! Got the 2Tone working for our 3 stations fairly easily... just such a shame there isn't a wideband version of the MM firmware. Does anyone know if you can downgrade the firmware in these things? I'd love to play the with 3.6.2 firmware just to check it out, but then be able to revert back to 3.6 when I'm done.
__________________
Middlesex County/Strathroy-Caradoc Fire Paging Alerts: http://groups.google.com/group/middlesex-fire
Reply With Quote
  #10 (permalink)  
Old 04-20-2018, 8:20 PM
Member
   
Join Date: Mar 2010
Posts: 869
Default

Quote:
Originally Posted by Forts View Post
So I finally got my radio and programming cable and some free time to tinker. Nice little radios! Got the 2Tone working for our 3 stations fairly easily... just such a shame there isn't a wideband version of the MM firmware. Does anyone know if you can downgrade the firmware in these things? I'd love to play the with 3.6.2 firmware just to check it out, but then be able to revert back to 3.6 when I'm done.
Once you lock down the radio to narrow there is not turning back! Check your PM.
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On



All times are GMT -5. The time now is 7:58 PM.


Powered by vBulletin® Version 3.8.2
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
All information here is Copyright 2012 by RadioReference.com LLC and Lindsay C. Blanton III.Ad Management by RedTyger
Copyright 2015 by RadioReference.com LLC Privacy Policy  |  Terms and Conditions